Public Attributes | List of all members
app_graphics_ospi_params_t Struct Reference
Peripheral Driver » APP DRIVER » OSPI » Structures

Define init params for OSPI. More...

`#include <app_graphics_ospi.h>`

## Public Attributes
app_ospi_clock_freq_e | ospi_freq
| Specify ospi freq, Ref Optional values of app_ospi_clock_freq_e. More...
app_ospi_psram_drv_strength_e | drv_strength
| Specify psram's drive strength, Ref Optional values of app_ospi_psram_drv_strength_e. More...
app_ospi_psram_rd_latency_e | rd_lc
| Specify psram's read latency, Ref Optional values of app_ospi_clock_freq_e. More...
app_ospi_psram_wr_latency_e | wr_lc
| Specify psram's write latency, Ref Optional values of app_ospi_clock_freq_e. More...
uint32_t | phy_delay
| Specify the delay tap for ospi phy, Ref Optional values of app_ospi_phy_delay_e. More...
uint8_t | is_read_prefetch
| Specify whether to enable the read prefetch feature or not. More...

## Detailed Description

Define init params for OSPI.

Definition at line 164 of file app_graphics_ospi.h.

## Member Data Documentation

## ◆ drv_strength

app_ospi_psram_drv_strength_e app_graphics_ospi_params_t::drv_strength

Specify psram's drive strength, Ref Optional values of app_ospi_psram_drv_strength_e.

Definition at line 166 of file app_graphics_ospi.h.

## ◆ is_read_prefetch

uint8_t app_graphics_ospi_params_t::is_read_prefetch

Specify whether to enable the read prefetch feature or not.

Definition at line 170 of file app_graphics_ospi.h.

## ◆ ospi_freq

app_ospi_clock_freq_e app_graphics_ospi_params_t::ospi_freq

Specify ospi freq, Ref Optional values of app_ospi_clock_freq_e.

Definition at line 165 of file app_graphics_ospi.h.

## ◆ phy_delay

uint32_t app_graphics_ospi_params_t::phy_delay

Specify the delay tap for ospi phy, Ref Optional values of app_ospi_phy_delay_e.

Definition at line 169 of file app_graphics_ospi.h.

## ◆ rd_lc

app_ospi_psram_rd_latency_e app_graphics_ospi_params_t::rd_lc

Specify psram's read latency, Ref Optional values of app_ospi_clock_freq_e.

Definition at line 167 of file app_graphics_ospi.h.

## ◆ wr_lc

app_ospi_psram_wr_latency_e app_graphics_ospi_params_t::wr_lc

Specify psram's write latency, Ref Optional values of app_ospi_clock_freq_e.

Definition at line 168 of file app_graphics_ospi.h.

The documentation for this struct was generated from the following file:

- app_graphics_ospi.h